/* monitor.h: to keep an eye on some patches */

#ifndef _MONITOR_H_
#define _MONITOR_H_

#include "patch.h"
extern int MonitorSelected(PATCH *patch);
extern void MonitorSelectPatch(PATCH *patch);
extern void MonitorUnselectPatch(PATCH *patch);

extern int monitored;	/* can be set to TRUE or FALSE whenever you want a report about what's going on */

#define SETMONITORED(P)	{monitored = MonitorSelected(P);}

#include <stdio.h>
#define MONITOR(bla,bla2,bla3) {if (monitored) fprintf(stderr, bla, bla2, bla3);}

#endif /*_MONITOR_H_*/
